package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaShareRecord;
import com.huiju.estateagents.excel.ShareChildRecordExport;
import com.huiju.estateagents.excel.ShareRecordFailExport;
import com.huiju.estateagents.excel.ShareRecordSuccessExport;
import com.huiju.estateagents.po.TaShareRecordPO;

import java.util.List;


/**
 * <p>
 * 拼团记录  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
public interface ITaShareRecordService extends IService<TaShareRecord> {
    IPage<TaShareRecord> getSuccessList(Integer pageNum, Integer pageSize, String phone, Integer status, Integer orgId);
    IPage<TaShareRecordPO> getFailAndProcessingList(Integer pageNum, Integer pageSize, String phone, Integer status, Integer groupActivityId, Integer orgId);
    ResponseBean validateRule(TaShareRecord taShareRecord);
    ResponseBean verifyCode(Integer activityId, String verifyCode);
    Integer getShareRecord(Integer recordId, Integer status);
    List<ShareRecordSuccessExport>  getShareRecordSuccessExportList(Integer pageCode, Integer pageSize, Integer recordId, Integer status, Integer groupActivityId);
    List<ShareRecordFailExport>  getShareRecordFailExportList(Integer pageCode, Integer pageSize, Integer recordId, Integer status, Integer groupActivityId);
}
